Skip to content

Prospect relationship graph

GET
/api/v1/revenue/relationships
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/revenue/relationships \
--header 'X-API-Key: <X-API-Key>'

Return the funnel (per-stage counts), commitment rollups (open/fulfilled/broken), and top-10 prospects by health score.

Successful Response

Media typeapplication/json
RelationshipGraphResponse

GET /api/v1/revenue/relationships response envelope.

object
commitments
required
CommitmentCounts

Rollup counts by commitment status.

object
broken
Broken
integer
0
fulfilled
Fulfilled
integer
0
open
Open
integer
0
funnel
required
StageFunnel

Per-stage prospect counts.

object
champion
Champion
integer
0
cold
Cold
integer
0
engaged
Engaged
integer
0
evaluating
Evaluating
integer
0
stalled
Stalled
integer
0
top_10
required
Top 10
Array<object>
RelationshipRow

Single prospect leaderboard entry.

object
company
Any of:
string
health_score
required
Health Score
number
last_transition_at
Any of:
Last Transition At
name
required
Name
string
open_commitments_count
required
Open Commitments Count
integer
prospect_id
required
Prospect Id
string
relationship_stage
required
Relationship Stage
string
Example
{
"commitments": {
"broken": 0,
"fulfilled": 0,
"open": 0
},
"funnel": {
"champion": 0,
"cold": 0,
"engaged": 0,
"evaluating": 0,
"stalled": 0
}
}